> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/cha-kan-payout-ding-dan-zhuang-tai.md).

# 查看Payout订单状态

## 接口

<table><thead><tr><th width="184.96356201171875">环境</th><th width="92.618896484375">模式</th><th>URL</th></tr></thead><tbody><tr><td>沙盒 (Sandbox)</td><td><kbd><mark style="color:green;">GET</mark></kbd></td><td><a href="https://payout.codapayments-staging.com/payouts/<payout_id>">https://payout.codapayments-staging.com/payouts/&#x3C;payout_id></a></td></tr><tr><td>生产 (Production) </td><td><kbd><mark style="color:green;">GET</mark></kbd></td><td><a href="https://payout.codapayments.com/payouts/<payout_id>">https://payout.codapayments.com/payouts/&#x3C;payout_id></a></td></tr></tbody></table>

## **Headers**

您可以参考[身份验证章节](/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/ru-men-zhi-nan/shen-fen-yan-zheng-he-shou-quan.md)。

## 请求参数

| 参数         | 类型     | 必填项 | 描述                  | 验证 |
| ---------- | ------ | --- | ------------------- | -- |
| payout\_id | string | 是   | 由Coda创建的Payout唯一ID。 | -  |

## 响应参数

| 参数              | 描述                                                                                                            |
| --------------- | ------------------------------------------------------------------------------------------------------------- |
| payout\_id      | 由Coda生成的付款唯一标认符。                                                                                              |
| request\_id     | 商户创建并附加至付款请求的唯一请求标认符。                                                                                         |
| request\_amount | 付款请求的总金额                                                                                                      |
| target\_amount  | <p>支付给收款人的最终金额（已扣除费用、商品级服务税等，具体扣除项根据与Coda的商业合同而定）。<br></p><p>注意：request\_amount 和 target\_amount 可以是不同的货币</p> |
| payout\_status  | 付款状态（如“处理中” “已完成” 等，具体状态请参考下表）。                                                                               |
| error           | 错误信息（若交易失败，此处显示具体错误详情）。                                                                                       |

## Payout状态

| Payout状态   | 描述                                             |
| ---------- | ---------------------------------------------- |
| Initiated  | 付款请求已接收，待审核。                                   |
| Rejected   | 付款请求已被Coda拒绝（详情请查看错误信息），此状态不可逆转。               |
| OnHold     | 付款请求正在进行内部复核， Coda 将联系商户补充相关资料，审核完成后将继续处理。     |
| Processing | 付款请求处理中。                                       |
| Success    | 付款成功，此状态不可更改。                                  |
| Failed     | 付款失败（详情请查看错误信息），此状态不可逆转。若需了解失败交易的费用问题，请联系Coda。 |

## 请求和响应示例

### 查看状态请求

```javascript
curl --location 'https://payout.codapayments.com/payouts/<payout_id>' \
--header 'X-API-Key: [Test_API_Key]' \
--header 'Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJwYXJ0bmVyX2lkIjoicGFyX3NnMTg3MzI2ZjA4ZjB3cmtyMTA2IiwiaWF0IjoxNjgzMTA0MTc3fQ.JLm21T7EE-papCtiAvDeU1SftBlDuwvI4VtAf2WcOKY'
```

### 查看状态响应

{% tabs %}
{% tab title="成功" %}

```javascript
{
    "payout_id": "MDAwLjAuMTY4MDAxMjM3MC4xMw==",
    "request_id": "request_id",
    "request_amount": {
        "value": 10.0,
        "currency_code": "USD"
    },
    "target_amount": {
        "value": 10.0,
        "currency_code": "PHP"
    },
    "payout_status": {
        "code": "Success",
        "message": "Payout is successful"
    },
    "error": null
}
```

{% endtab %}

{% tab title="失败" %}

```javascript
{
    "payout_id": "e0929c27-a229-4d83-b2a1-ab227157dc23",
    "request_id": "koongpayout79_request11_id_4July2023BBB",
    "request_amount": {
        "value": 5555.00,
        "currency_code": "EGP"
    },
    "target_amount": {
        "value": 5555.00,
        "currency_code": "EGP"
    },
    "payout_status": {
        "code": "Failed",
        "message": "Payout has failed, refer to the error message for more details."
    },
    "error": {
      "code": "INCOMPLETE_DATA",
        "message": "Data sent are incomplete and the request cannot be completed."
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/https-coda-payments.gitbook.io-zhong-wen-coda-private-technical-documentation/payout/api-shuo-ming/cha-kan-payout-ding-dan-zhuang-tai.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
